/***************************************************************/
//
//
//		DirectX	[ immortal.h ]
//
//											Author	kazuki tanaka
//											Date	2017 6/7
/*---------------------------------------------------------------
걾Update : 2017/6/7
			Create Header File -> immortal.h.h 
 			< Add Class Function >
				IMMORTAL->Constructor
				IMMORTAL->Destructor
				IMMORTAL->Create ( static member )
				IMMORTAL->Init
				IMMORTAL->Uninit
				IMMORTAL->Update
				IMMORTAL->Draw

걾Update : 2017/6/7



/*-------------------------------------------------------------*/
#ifndef _IMMORTAL_H_

#define _IMMORTAL_H_


/*---------------------------------------------------------------
	Include File
---------------------------------------------------------------*/

#include "base.h"

/*---------------------------------------------------------------
	Class
---------------------------------------------------------------*/


// Class Immortal Using Immortal
class Immortal : public Base
{
public:

	Immortal( );						// Immortal Constructor
	~Immortal( );						// Immortal Destructor

	static Immortal* Create( void );	// Immortal Create Instance Class

	void Init( void );					// Immortal Initialize
	void Uninit( void );				// Immortal Uninitialize
	void Update( void );				// Immortal Update
	void Draw( void );					// Immortal Draw

	void OnContact( void )override;

	virtual void OnScissor( void );	// 궼궠귏귢궫궴궖
	virtual void Scissor( void );		// 궼궠귪궬궴궖


private:

	// Member Variable
	


};


#endif	//	_IMMORTAL_H_


